Перейти к содержимому
userman

Не запускается Ubuntu Studio 16.04 после обновления

Рекомендуемые сообщения

  Всем добрый день. На диске стоит две ОС, Linux Mint 18 Sarah 64 и Ubuntu Studio 16.04 64 bit.

 Позавчера работал в Ubuntu Studio, центр обновлений прдложил обновится, я обновился. Потом переключился на LM, а вот сегодня не могу загрузить Ubuntu Studio. В Recovery Mode входил, обновил Grub. Не помогло.
 Идет попытка загрузки, потом мерцание экрана и темнота.

 

C Recovery Mode обновил ядро, проблема не исчезла.

При запуске чуток мерцает экран и все, темный экран и вверху мигает строка.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

у меня была похожая ситуация, обновил ос, чёрный экран, приходилось переустанавливать драйвер видеокарты

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
1 час назад, ytf сказал:

у меня была похожая ситуация, обновил ос, чёрный экран, приходилось переустанавливать драйвер видеокарты

Я так понял довольно распростарненная проблема.

Как это сделать? У меня Intel встроенная.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
23 часа назад, userman сказал:

Как это сделать? У меня Intel встроенная

в поиске напиши "linux драйвер и модель видеокарты"

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
9 часов назад, ytf сказал:

в поиске напиши "linux драйвер и модель видеокарты" 

А как точно узнать в драйверах траблы или в чем то другом?

Самое интересное что через Recovery Mode войдя под рутом и сделав комманду startx открывается openbox но охото полноценную ОС.

Если бы была проблема в драйверах то OpenBox открывался бы?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Start-Date: 2018-06-10  10:17:59
Commandline: apt-get dist-upgrade


Upgrade: libgles2-mesa:amd64 (18.2~git1806061930.67f7a1~oibaf~x, 18.2~git1806091930.135e4d~oibaf~x), libglapi-mesa:amd64 (18.2~git1806061930.67f7a1~oibaf~x, 18.2~git1806091930.135e4d~oibaf~x), mesa-common-dev:amd64 (18.2~git1806061930.67f7a1~oibaf~x, 18.2~git1806091930.135e4d~oibaf~x), libxatracker2:amd64 (18.2~git1806061930.67f7a1~oibaf~x, 18.2~git1806091930.135e4d~oibaf~x), libegl1-mesa:amd64 (18.2~git1806061930.67f7a1~oibaf~x, 18.2~git1806091930.135e4d~oibaf~x), libgbm1:amd64 (18.2~git1806061930.67f7a1~oibaf~x, 18.2~git1806091930.135e4d~oibaf~x), libwayland-client0:amd64 (1.12.0-1~ubuntu16.04.3, 1.15.0-2~oibaf~x), libwayland-bin:amd64 (1.12.0-1~ubuntu16.04.3, 1.15.0-2~oibaf~x), libwayland-egl1-mesa:amd64 (18.2~git1806061930.67f7a1~oibaf~x, 18.2~git1806091930.135e4d~oibaf~x), libgl1-mesa-dev:amd64 (18.2~git1806061930.67f7a1~oibaf~x, 18.2~git1806091930.135e4d~oibaf~x), libgl1-mesa-dri:amd64 (18.2~git1806061930.67f7a1~oibaf~x, 18.2~git1806091930.135e4d~oibaf~x), libgl1-mesa-glx:amd64 (18.2~git1806061930.67f7a1~oibaf~x, 18.2~git1806091930.135e4d~oibaf~x), libwayland-server0:amd64 (1.12.0-1~ubuntu16.04.3, 1.15.0-2~oibaf~x), libwayland-cursor0:amd64 (1.12.0-1~ubuntu16.04.3, 1.15.0-2~oibaf~x)
Remove: libegl1-mesa-dev:amd64 (18.2~git1806061930.67f7a1~oibaf~x), libqt5opengl5-dev:amd64 (5.5.1+dfsg-16ubuntu7.5), libwayland-dev:amd64 (1.12.0-1~ubuntu16.04.3), libgles2-mesa-dev:amd64 (18.2~git1806061930.67f7a1~oibaf~x), qtbase5-dev:amd64 (5.5.1+dfsg-16ubuntu7.5), audacious-dev:amd64 (3.9-3~webupd8~xenial0)
End-Date: 2018-06-10  10:18:24

 

Это вот последнее обновление после которого все и слетело.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Вот вывод OpenGL

OpenGL vendor string: VMware, Inc.
OpenGL renderer string: llvmpipe (LLVM 6.0, 256 bits)
OpenGL core profile version string: 3.3 (Core Profile) Mesa 18.2.0-devel
OpenGL core profile shading language version string: 3.30
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.1 Mesa 18.2.0-devel
OpenGL shading language version string: 1.40
OpenGL context flags: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.0 Mesa 18.2.0-devel
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
OpenGL ES profile extensions:

 

 А вот xrandr:

~# xrandr
xrandr: Failed to get size of gamma for output default
Screen 0: minimum 640 x 480, current 1024 x 768, maximum 1024 x 768
default connected 1024x768+0+0 0mm x 0mm
   1024x768      61.00*
   800x600       61.00  
   640x480       60.00 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
В 13.06.2018 в 22:11, userman сказал:

А как точно узнать в драйверах траблы или в чем то другом?

не знаю

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
5 часов назад, ytf сказал:

не знаю 

Жестко. И нет ответа на вопрос. Остается только переустановка походу.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

У меня подобная ситуация была на работе с Debian 8.1 x32.  Появилась она после смены монитора и переноса компьютера из одного кабинета в другой. Упала сама собой графическая оболочка, темный экран и мигает курсор после нескольких попыток загрузиться.  Сейчас до сих пор сижу на этом Debian. Что я сделал: 

0. Перешел в текстовый режим: Ctrl+Alt+(F1-F6), F7 - назад в GUI.

1.  удалил метапакет LXDE при помощи apt-get с purge

2. установил несвободные репозитории. у вас на убунте они наверное установлены поумолчанию.

3. установил метапакет Gnome при помощи apt-get 

4. Перезагрузился. запустился гном. Поработал на гноме, когда убедился что все в порядке - снова поставил LXDE.

5. В связи с редким использованием аккуратно снес гном. Все работает. Мне помогло.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Недавно подобный случай был с другим компьютером (Debian 8.1 x32) на работе при подключении монитора с другой машины. Как оказалось, частота обновления монитора в насторйках стояла выше, чем поддерживала эта модель (Samsung SyncMaster 710N ). Автоматически ничего не определялось. Но ситуация та же - работает в текстовом режиме, при попытке запуска GUI - мигает курсор в верхнем левом углу темного экрана. Лечиться редактированием  /etc/X11/xorg.conf  или /etc/X11/xorg.conf.d      , возможен случай что этого файла нет - это напрямую зависит от используемого драйвера. Можно зайти в систему с того монитора, который поддерживается, и поправить частоту обновления из GUI.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Создайте аккаунт или войдите в него для комментирования

Вы должны быть пользователем, чтобы оставить комментарий

Создать аккаунт

Зарегистрируйтесь для получения аккаунта. Это просто!

Зарегистрировать аккаунт

Войти

Уже зарегистрированы? Войдите здесь.

Войти сейчас

×